<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_a591754a8ddcdbda9c80f" . "1db4d911e14" => base64_decode("aXNf" . "bnVs" . "bA=="), "_f4c45637" . "79292d5ab" . "e6eb12f8a" . "5a2f28" => base64_decode("VHJhc2hPYmplY3RCbG9nOjpDcmVhdGVGcm9tT2JqZWN0KCkgYWNjZXB0cyBvbmx5IG9iamVjdCBvZiBjbGF" . "zcyBCbG9nUG9zdA=="), "_2457e28fb4d91b5f75280" . "08953d956b5" => base64_decode("YmxvZy5jb21tb24uYmxv" . "Zw=="), "_0c5123aa744f69bb" . "c0e8b3ea2f6e847d" => base64_decode("bG1zZ" . "w=="), "_d1d66e928f80b4eae4a89463b" . "6d889ec" => base64_decode("dHJpbV9sb25n" . "X3N0cmluZw=="));
use BlogBrowser;
use BlogPost;





class TrashObjectBlog extends TrashObject
{
    
    
    
    
    
    
    public function __construct($_b15aac3aa29c10ea6d1228f58cb9a7e8 = null)
    {
        $this->aggregation = AGGREGATION_BLOG;
        if (!$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_a591754a8ddcdbda9c80f1" . "db4d911e14"]($_b15aac3aa29c10ea6d1228f58cb9a7e8) && $_b15aac3aa29c10ea6d1228f58cb9a7e8 instanceof BlogPost) {
            $this->CreateFromObject($_b15aac3aa29c10ea6d1228f58cb9a7e8);
        }
    }
    
    
    
    
    
    
    
    
    public function CreateFromObject($_b15aac3aa29c10ea6d1228f58cb9a7e8)
    {
        if (!$_b15aac3aa29c10ea6d1228f58cb9a7e8 instanceof BlogPost) {
            throw new \Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_f4c4563779292d5abe6eb12f8a5a2" . "f28"]);
        }
        $this->obj_id = $_b15aac3aa29c10ea6d1228f58cb9a7e8->GetId();
        $this->description = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_d1d66e928f80b4eae4a89463b6d88" . "9ec"](\ClaText::BBCode2Plain($_b15aac3aa29c10ea6d1228f58cb9a7e8->GetText()), 300);
        $this->title = $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_d1d66e928f80b4eae4a" . "89463b6d889ec"]($_b15aac3aa29c10ea6d1228f58cb9a7e8->GetTitle(), 50);
        $this->orig_location = $_b15aac3aa29c10ea6d1228f58cb9a7e8->channel_name;
    }
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        $_108bde9814d9d2f78a4fdae9b4d6e3ce = BlogBrowser::Instance();
        if ($_108bde9814d9d2f78a4fdae9b4d6e3ce->DeleteBlogPostById($this->obj_id, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($_108bde9814d9d2f78a4fdae9b4d6e3ce->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    public function Restore()
    {
        $_108bde9814d9d2f78a4fdae9b4d6e3ce = BlogBrowser::Instance();
        if (!$_108bde9814d9d2f78a4fdae9b4d6e3ce->UndeleteBlogPostByID($this->obj_id)) {
            throw new \Exception($_108bde9814d9d2f78a4fdae9b4d6e3ce->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0c5123aa744f69bbc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_2457e28fb" . "4d91b5f752" . "8008953d95" . "6b5"]);
    }
}